variables:
  MAX_IMAGE_SIZE_MB: 1300
  REPORT_FILENAME: gl-sast-report.json
  SAST_EXPERIMENTAL_FEATURES: "true"
  SAST_EXCLUDED_PATHS: "qa"

include:
  - https://gitlab.com/gitlab-org/security-products/ci-templates/raw/master/includes-dev/analyzer.yml
  - project: 'gitlab-org/security-products/ci-templates'
    ref: 'master'
    file: '/includes-dev/upsert-git-tag.yml'

.qa-downstream-sast:
  variables:
    SAST_EXCLUDED_ANALYZERS: "spotbugs"

test-custom-ca-bundle:
  allow_failure: true

integration-test:
  image:
    name: registry.gitlab.com/gitlab-org/security-products/analyzers/integration-test:stable
  services:
    - docker:20.10-dind
  variables:
    TMP_IMAGE: $CI_REGISTRY_IMAGE/tmp:$CI_COMMIT_SHA$IMAGE_TAG_SUFFIX
  script:
    - rspec -f d
  artifacts:
    when: always
    paths:
      - tmp/**/gl-sast-report.json
    expire_in: 1 week
